Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.rrnaclassifier
Class ShortSequenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      edu.msu.cme.rdp.classifier.rrnaclassifier.ShortSequenceException

All Implemented Interfaces:
  java.io.Serializable

    public class ShortSequenceException

extends java.lang.IllegalArgumentException

Handles exception for a short sequence.

See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `message`
`private java.lang.String` | `seqDoc`

Constructor Summary
`ShortSequenceException(java.lang.String seqDoc, java.lang.String msg)` Creates a new instance of ShortSequenceException to handle short sequence.

Method Summary
`java.lang.String` | `getMessage()` Returns the error message.
`java.lang.String` | `getSeqDoc()` Returns the sequence identifier.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### message

    private java.lang.String message

### seqDoc

    private java.lang.String seqDoc

Constructor Detail

### ShortSequenceException

    public ShortSequenceException(java.lang.String seqDoc,
                                  java.lang.String msg)

  Creates a new instance of ShortSequenceException to handle short sequence.

Method Detail

### getSeqDoc

    public java.lang.String getSeqDoc()

  Returns the sequence identifier.

### getMessage

    public java.lang.String getMessage()

  Returns the error message.

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD